Page MenuHomePhabricator

efl_ui_textbox / efl_ui_image_zoomable: remove duplicated code
ClosedPublic

Authored by bu5hm4n on Jan 21 2020, 2:41 AM.

Details

Summary

these implementations were totally equal to what is there in
efl_ui_layout. No point in keeping them. (Note, entry_edje is equal to
resize_obj)

ref T8522

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Jan 21 2020, 2:41 AM
bu5hm4n requested review of this revision.Jan 21 2020, 2:41 AM
woohyun added inline comments.Jan 21 2020, 2:12 PM
src/lib/elementary/efl_ui_textbox.eo
95

If we want to remove "_efl_ui_textbox_efl_layout_signal_signal_emit", this "signal_emit" should be removed together. Am I right ?

bu5hm4n updated this revision to Diff 28418.Jan 23 2020, 1:24 AM

remove impl

woohyun accepted this revision.Jan 27 2020, 1:52 PM

This looks ok :) Accepted. Thanks !

This revision is now accepted and ready to land.Jan 27 2020, 1:52 PM
Closed by commit rEFLb3c0da13d804: efl_ui_textbox / efl_ui_image_zoomable: remove duplicated code (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>, committed by woohyun). · Explain WhyJan 27 2020, 2:09 PM
This revision was automatically updated to reflect the committed changes.